> For the complete documentation index, see [llms.txt](https://docs.tradevest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tradevest.ai/api-reference/entities/general.md).

# General

## Get Partner details

> Get partner details

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"General","description":"General entity endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"PartnerDetails":{"title":"PartnerDetails","type":"object","properties":{"businessName":{"type":"string","minLength":1,"maxLength":255,"description":"The business name of the entity"},"globalId":{"type":"string","minLength":12,"maxLength":12,"readOnly":true},"address":{"$ref":"#/components/schemas/Address"},"contact":{"$ref":"#/components/schemas/Contact"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true},"activatedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["businessName","globalId","address","contact","createdOn","modifiedOn"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"Contact":{"title":"Contact","type":"object","description":"⚠️ **Important Note on Partial Updates:** Although update endpoints use the `PATCH` method, the `contact` object requires a **full representation** of the data. If optional fields (such as `fax` or `website`) are omitted from the request, they will be overwritten with `null` in the database. To preserve existing data, ensure all current contact values are included in your request payload.","properties":{"phone":{"type":"string","description":"Mobile telephone number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"email":{"type":"string","description":"E-mail address","maxLength":255,"pattern":"^[a-zA-Z0-9.!#$%&'*+\\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$"},"fax":{"type":"string","description":"Fax number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"website":{"type":"string","description":"website address","maxLength":320}},"required":["phone","email"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/v2/partner-details":{"get":{"summary":"Get Partner details","operationId":"get-partner-details","description":"Get partner details","tags":["General"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Get Entities

> Get list of entities

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"General","description":"General entity endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"Entities":{"title":"Entities","type":"object","properties":{"data":{"type":"array","description":"Array of entities ordered by creation date (newest first)","items":{"$ref":"#/components/schemas/Entity"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"Entity":{"title":"Entity","type":"object","properties":{"globalId":{"type":"string","minLength":12,"maxLength":12,"description":"Global ID of the entity"},"entityId":{"type":"string","format":"uuid","description":"Unique entity identification number in UUID format"},"entityName":{"type":"string","minLength":1,"description":"Name of the entity:\n* For Natural Person, Beneficial Owner, Legal Representative: firstName + lastName\n* For Joint Person: firstName + lastName of 1st natural person + \" & \" + firstName + lastName of 2nd natural person\n* For Legal Entity: legalName\n"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"entityStatus":{"$ref":"#/components/schemas/EntityStatusEnum"},"contactPhone":{"type":"string","minLength":1,"description":"Contact phone number of the entity"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the entity was created"},"roles":{"type":"array","description":"List of roles assigned to the entity","items":{"$ref":"#/components/schemas/EntityRole"}}},"required":["globalId","entityId","entityName","entityType","entityStatus","contactPhone","createdOn","roles"]},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"EntityStatusEnum":{"title":"EntityStatusEnum","type":"string","enum":["ACTIVE","INACTIVE","CREATED","REVIEW","REJECTED","PENDING","SUSPENDED","ARCHIVED","RECEIVED","INVALID","SUSPENDED_COMPLIANCE","DECEASED"],"description":"Status of the entity. Available values depend on entity type."},"EntityRole":{"title":"EntityRole","type":"object","properties":{"roleType":{"$ref":"#/components/schemas/EntityRoleEnum"},"roleId":{"type":"string","format":"uuid","description":"Unique role identification number in UUID format"}},"required":["roleType","roleId"]},"EntityRoleEnum":{"title":"EntityRoleEnum","type":"string","enum":["CUSTOMER","PROXY"],"description":"Role of the entity:\n* `CUSTOMER` - Entity is a customer\n* `PROXY` - Entity is a proxy\n"},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]}},"parameters":{"cursor":{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},"limit":{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true},"entityTypes":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EntityTypeEnum"}},"in":"query","name":"entityTypes","description":"Entity types filter"},"entityStatuses":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EntityStatusEnum"}},"in":"query","name":"entityStatuses","description":"Entity statuses filter. Possible values depend on entityType."},"searchText":{"schema":{"type":"string"},"in":"query","name":"searchText","description":"Entity search text, the search will be performed on the following fields: \nName of the entity:\n* For Natural Person, Beneficial Owner, Legal Representative: firstName, lastName\n* For Joint Person: firstName, lastName of 1st natural person and firstName, lastName of 2nd natural person\n* For Legal Entity: legalName\nAlso entityId and globalId\n"},"globalId":{"schema":{"type":"string","minLength":12,"maxLength":12},"in":"query","name":"globalId","description":"Global ID filter"},"optionalEntityId":{"schema":{"type":"string","format":"uuid"},"in":"query","name":"entityId","description":"Entity ID filter","required":false},"role":{"schema":{"$ref":"#/components/schemas/EntityRoleEnum"},"in":"query","name":"role","description":"Role filter - filter entities by their assigned role"},"startDate":{"schema":{"type":"string","format":"date-time"},"name":"startDate","in":"query","description":"Beginning of the range"},"endDate":{"schema":{"type":"string","format":"date-time"},"in":"query","name":"endDate","description":"End of the range"}}},"paths":{"/entities":{"get":{"summary":"Get Entities","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Entities"}}}}},"operationId":"get-entities","description":"Get list of entities","parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/entityTypes"},{"$ref":"#/components/parameters/entityStatuses"},{"$ref":"#/components/parameters/searchText"},{"$ref":"#/components/parameters/globalId"},{"$ref":"#/components/parameters/optionalEntityId"},{"$ref":"#/components/parameters/role"},{"$ref":"#/components/parameters/startDate"},{"$ref":"#/components/parameters/endDate"}],"tags":["General"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tradevest.ai/api-reference/entities/general.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
